/* query.c generated by valac 0.36.3, the Vala compiler
 * generated from query.vala, do not modify */

/*
* Copyright (c) 2010 Michal Hruby <michal.mhr@gmail.com>
*               2017 elementary LLC.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* You should have received a copy of the GNU General Public
* License along with this program; if not, write to the
* Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
* Boston, MA 02110-1301 USA
*
* Authored by: Michal Hruby <michal.mhr@gmail.com>
*/

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <gee.h>


#define SYNAPSE_TYPE_QUERY_FLAGS (synapse_query_flags_get_type ())

#define SYNAPSE_TYPE_MATCHER_FLAGS (synapse_matcher_flags_get_type ())

#define SYNAPSE_TYPE_QUERY (synapse_query_get_type ())
typedef struct _SynapseQuery SynapseQuery;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))

#define SYNAPSE_MATCH_TYPE_SCORE (synapse_match_score_get_type ())
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

typedef enum  {
	SYNAPSE_QUERY_FLAGS_INCLUDE_REMOTE = 1 << 0,
	SYNAPSE_QUERY_FLAGS_UNCATEGORIZED = 1 << 1,
	SYNAPSE_QUERY_FLAGS_APPLICATIONS = 1 << 2,
	SYNAPSE_QUERY_FLAGS_ACTIONS = 1 << 3,
	SYNAPSE_QUERY_FLAGS_AUDIO = 1 << 4,
	SYNAPSE_QUERY_FLAGS_VIDEO = 1 << 5,
	SYNAPSE_QUERY_FLAGS_DOCUMENTS = 1 << 6,
	SYNAPSE_QUERY_FLAGS_IMAGES = 1 << 7,
	SYNAPSE_QUERY_FLAGS_FILES = ((SYNAPSE_QUERY_FLAGS_AUDIO | SYNAPSE_QUERY_FLAGS_VIDEO) | SYNAPSE_QUERY_FLAGS_DOCUMENTS) | SYNAPSE_QUERY_FLAGS_IMAGES,
	SYNAPSE_QUERY_FLAGS_PLACES = 1 << 8,
	SYNAPSE_QUERY_FLAGS_INTERNET = 1 << 9,
	SYNAPSE_QUERY_FLAGS_TEXT = 1 << 10,
	SYNAPSE_QUERY_FLAGS_CONTACTS = 1 << 11,
	SYNAPSE_QUERY_FLAGS_ALL = 0xFFFFFFFFLL,
	SYNAPSE_QUERY_FLAGS_LOCAL_CONTENT = SYNAPSE_QUERY_FLAGS_ALL ^ SYNAPSE_QUERY_FLAGS_INCLUDE_REMOTE
} SynapseQueryFlags;

typedef enum  {
	SYNAPSE_MATCHER_FLAGS_NO_REVERSED = 1 << 0,
	SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING = 1 << 1,
	SYNAPSE_MATCHER_FLAGS_NO_PARTIAL = 1 << 2,
	SYNAPSE_MATCHER_FLAGS_NO_FUZZY = 1 << 3
} SynapseMatcherFlags;

struct _SynapseQuery {
	gchar* query_string;
	gchar* query_string_folded;
	GCancellable* cancellable;
	SynapseQueryFlags query_type;
	guint max_results;
	guint query_id;
};

typedef enum  {
	SYNAPSE_SEARCH_ERROR_SEARCH_CANCELLED,
	SYNAPSE_SEARCH_ERROR_UNKNOWN_ERROR
} SynapseSearchError;
#define SYNAPSE_SEARCH_ERROR synapse_search_error_quark ()
typedef enum  {
	SYNAPSE_MATCH_SCORE_INCREMENT_MINOR = 2000,
	SYNAPSE_MATCH_SCORE_INCREMENT_SMALL = 5000,
	SYNAPSE_MATCH_SCORE_INCREMENT_MEDIUM = 10000,
	SYNAPSE_MATCH_SCORE_INCREMENT_LARGE = 20000,
	SYNAPSE_MATCH_SCORE_URI_PENALTY = 15000,
	SYNAPSE_MATCH_SCORE_POOR = 50000,
	SYNAPSE_MATCH_SCORE_BELOW_AVERAGE = 60000,
	SYNAPSE_MATCH_SCORE_AVERAGE = 70000,
	SYNAPSE_MATCH_SCORE_ABOVE_AVERAGE = 75000,
	SYNAPSE_MATCH_SCORE_GOOD = 80000,
	SYNAPSE_MATCH_SCORE_VERY_GOOD = 85000,
	SYNAPSE_MATCH_SCORE_EXCELLENT = 90000,
	SYNAPSE_MATCH_SCORE_HIGHEST = 100000
} SynapseMatchScore;



GType synapse_query_flags_get_type (void) G_GNUC_CONST;
GType synapse_matcher_flags_get_type (void) G_GNUC_CONST;
GType synapse_query_get_type (void) G_GNUC_CONST;
SynapseQuery* synapse_query_dup (const SynapseQuery* self);
void synapse_query_free (SynapseQuery* self);
void synapse_query_copy (const SynapseQuery* self, SynapseQuery* dest);
void synapse_query_destroy (SynapseQuery* self);
void synapse_query_init (SynapseQuery *self, guint query_id, const gchar* query, SynapseQueryFlags flags, guint num_results);
gboolean synapse_query_is_cancelled (SynapseQuery *self);
GQuark synapse_search_error_quark (void);
void synapse_query_check_cancellable (SynapseQuery *self, GError** error);
GeeList* synapse_query_get_matchers_for_query (const gchar* query, SynapseMatcherFlags match_flags, GRegexCompileFlags flags);
GType synapse_match_score_get_type (void) G_GNUC_CONST;
static void _vala_array_add6 (gchar** * array, int* length, int* size, gchar* value);
static void _vala_array_add7 (gchar** * array, int* length, int* size, gchar* value);
static gint __lambda5_ (GeeMapEntry* a, GeeMapEntry* b);
static gint ___lambda5__gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


GType synapse_query_flags_get_type (void) {
	static volatile gsize synapse_query_flags_type_id__volatile = 0;
	if (g_once_init_enter (&synapse_query_flags_type_id__volatile)) {
		static const GFlagsValue values[] = {{SYNAPSE_QUERY_FLAGS_INCLUDE_REMOTE, "SYNAPSE_QUERY_FLAGS_INCLUDE_REMOTE", "include-remote"}, {SYNAPSE_QUERY_FLAGS_UNCATEGORIZED, "SYNAPSE_QUERY_FLAGS_UNCATEGORIZED", "uncategorized"}, {SYNAPSE_QUERY_FLAGS_APPLICATIONS, "SYNAPSE_QUERY_FLAGS_APPLICATIONS", "applications"}, {SYNAPSE_QUERY_FLAGS_ACTIONS, "SYNAPSE_QUERY_FLAGS_ACTIONS", "actions"}, {SYNAPSE_QUERY_FLAGS_AUDIO, "SYNAPSE_QUERY_FLAGS_AUDIO", "audio"}, {SYNAPSE_QUERY_FLAGS_VIDEO, "SYNAPSE_QUERY_FLAGS_VIDEO", "video"}, {SYNAPSE_QUERY_FLAGS_DOCUMENTS, "SYNAPSE_QUERY_FLAGS_DOCUMENTS", "documents"}, {SYNAPSE_QUERY_FLAGS_IMAGES, "SYNAPSE_QUERY_FLAGS_IMAGES", "images"}, {SYNAPSE_QUERY_FLAGS_FILES, "SYNAPSE_QUERY_FLAGS_FILES", "files"}, {SYNAPSE_QUERY_FLAGS_PLACES, "SYNAPSE_QUERY_FLAGS_PLACES", "places"}, {SYNAPSE_QUERY_FLAGS_INTERNET, "SYNAPSE_QUERY_FLAGS_INTERNET", "internet"}, {SYNAPSE_QUERY_FLAGS_TEXT, "SYNAPSE_QUERY_FLAGS_TEXT", "text"}, {SYNAPSE_QUERY_FLAGS_CONTACTS, "SYNAPSE_QUERY_FLAGS_CONTACTS", "contacts"}, {SYNAPSE_QUERY_FLAGS_ALL, "SYNAPSE_QUERY_FLAGS_ALL", "all"}, {SYNAPSE_QUERY_FLAGS_LOCAL_CONTENT, "SYNAPSE_QUERY_FLAGS_LOCAL_CONTENT", "local-content"}, {0, NULL, NULL}};
		GType synapse_query_flags_type_id;
		synapse_query_flags_type_id = g_flags_register_static ("SynapseQueryFlags", values);
		g_once_init_leave (&synapse_query_flags_type_id__volatile, synapse_query_flags_type_id);
	}
	return synapse_query_flags_type_id__volatile;
}


GType synapse_matcher_flags_get_type (void) {
	static volatile gsize synapse_matcher_flags_type_id__volatile = 0;
	if (g_once_init_enter (&synapse_matcher_flags_type_id__volatile)) {
		static const GFlagsValue values[] = {{SYNAPSE_MATCHER_FLAGS_NO_REVERSED, "SYNAPSE_MATCHER_FLAGS_NO_REVERSED", "no-reversed"}, {SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING, "SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING", "no-substring"}, {SYNAPSE_MATCHER_FLAGS_NO_PARTIAL, "SYNAPSE_MATCHER_FLAGS_NO_PARTIAL", "no-partial"}, {SYNAPSE_MATCHER_FLAGS_NO_FUZZY, "SYNAPSE_MATCHER_FLAGS_NO_FUZZY", "no-fuzzy"}, {0, NULL, NULL}};
		GType synapse_matcher_flags_type_id;
		synapse_matcher_flags_type_id = g_flags_register_static ("SynapseMatcherFlags", values);
		g_once_init_leave (&synapse_matcher_flags_type_id__volatile, synapse_matcher_flags_type_id);
	}
	return synapse_matcher_flags_type_id__volatile;
}


void synapse_query_init (SynapseQuery *self, guint query_id, const gchar* query, SynapseQueryFlags flags, guint num_results) {
	guint _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	SynapseQueryFlags _tmp5_;
	guint _tmp6_;
#line 93 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	g_return_if_fail (query != NULL);
#line 93 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	memset (self, 0, sizeof (SynapseQuery));
#line 94 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp0_ = query_id;
#line 94 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	(*self).query_id = _tmp0_;
#line 95 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp1_ = query;
#line 95 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 95 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_g_free0 ((*self).query_string);
#line 95 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	(*self).query_string = _tmp2_;
#line 96 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp3_ = query;
#line 96 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp4_ = g_utf8_casefold (_tmp3_, (gssize) -1);
#line 96 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_g_free0 ((*self).query_string_folded);
#line 96 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	(*self).query_string_folded = _tmp4_;
#line 97 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp5_ = flags;
#line 97 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	(*self).query_type = _tmp5_;
#line 98 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp6_ = num_results;
#line 98 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	(*self).max_results = _tmp6_;
#line 191 "query.c"
}


gboolean synapse_query_is_cancelled (SynapseQuery *self) {
	gboolean result = FALSE;
	GCancellable* _tmp0_;
	gboolean _tmp1_;
#line 102 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp0_ = (*self).cancellable;
#line 102 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp1_ = g_cancellable_is_cancelled (_tmp0_);
#line 102 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	result = _tmp1_;
#line 102 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	return result;
#line 207 "query.c"
}


void synapse_query_check_cancellable (SynapseQuery *self, GError** error) {
	GCancellable* _tmp0_;
	gboolean _tmp1_;
	GError * _inner_error_ = NULL;
#line 106 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp0_ = (*self).cancellable;
#line 106 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp1_ = g_cancellable_is_cancelled (_tmp0_);
#line 106 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	if (_tmp1_) {
#line 221 "query.c"
		GError* _tmp2_;
#line 107 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp2_ = g_error_new_literal (SYNAPSE_SEARCH_ERROR, SYNAPSE_SEARCH_ERROR_SEARCH_CANCELLED, "Cancelled");
#line 107 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_inner_error_ = _tmp2_;
#line 107 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		if (_inner_error_->domain == SYNAPSE_SEARCH_ERROR) {
#line 107 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_propagate_error (error, _inner_error_);
#line 107 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			return;
#line 233 "query.c"
		} else {
#line 107 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 107 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_clear_error (&_inner_error_);
#line 107 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			return;
#line 241 "query.c"
		}
	}
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1234 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1235 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1235 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1236 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1236 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1237 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	result = _result_;
#line 1237 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	return result;
#line 266 "query.c"
}


static void _vala_array_add6 (gchar** * array, int* length, int* size, gchar* value) {
#line 148 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	if ((*length) == (*size)) {
#line 148 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 148 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 277 "query.c"
	}
#line 148 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	(*array)[(*length)++] = value;
#line 148 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	(*array)[*length] = NULL;
#line 283 "query.c"
}


static gchar* _vala_g_strjoinv (const gchar* separator, gchar** str_array, int str_array_length1) {
	gchar* result = NULL;
	const gchar* _tmp0_;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	gchar** _tmp3_;
	gint _tmp3__length1;
#line 1078 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp0_ = separator;
#line 1078 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_tmp0_ == NULL) {
#line 1079 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		separator = "";
#line 300 "query.c"
	}
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp3_ = str_array;
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp3__length1 = str_array_length1;
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_tmp3_ != NULL) {
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp2_ = TRUE;
#line 310 "query.c"
	} else {
		gchar** _tmp4_;
		gint _tmp4__length1;
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp4_ = str_array;
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp4__length1 = str_array_length1;
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp4__length1 > 0;
#line 320 "query.c"
	}
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_tmp2_) {
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 326 "query.c"
	} else {
		gboolean _tmp5_ = FALSE;
		gchar** _tmp6_;
		gint _tmp6__length1;
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp6_ = str_array;
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp6__length1 = str_array_length1;
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		if (_tmp6__length1 == -1) {
#line 337 "query.c"
			gchar** _tmp7_;
			gint _tmp7__length1;
			const gchar* _tmp8_;
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			_tmp7_ = str_array;
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			_tmp7__length1 = str_array_length1;
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			_tmp8_ = _tmp7_[0];
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			_tmp5_ = _tmp8_ != NULL;
#line 349 "query.c"
		} else {
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			_tmp5_ = FALSE;
#line 353 "query.c"
		}
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp1_ = _tmp5_;
#line 357 "query.c"
	}
#line 1081 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 361 "query.c"
		gint i = 0;
		gsize len = 0UL;
		gint _tmp31_;
		gint _tmp33_;
		gint _tmp34_;
		gsize _tmp35_;
		const gchar* _tmp36_;
		gint _tmp37_;
		gint _tmp38_;
		gint _tmp39_;
		const gchar* res = NULL;
		gsize _tmp40_;
		void* _tmp41_;
		void* ptr = NULL;
		const gchar* _tmp42_;
		gchar** _tmp43_;
		gint _tmp43__length1;
		const gchar* _tmp44_;
		void* _tmp45_;
		const gchar* _tmp62_;
#line 1083 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		len = (gsize) 1;
#line 384 "query.c"
		{
			gboolean _tmp9_ = FALSE;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			i = 0;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			_tmp9_ = TRUE;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			while (TRUE) {
#line 393 "query.c"
				gboolean _tmp11_ = FALSE;
				gboolean _tmp12_ = FALSE;
				gchar** _tmp13_;
				gint _tmp13__length1;
				gint _tmp21_ = 0;
				gchar** _tmp22_;
				gint _tmp22__length1;
				gint _tmp23_;
				const gchar* _tmp24_;
				gsize _tmp30_;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				if (!_tmp9_) {
#line 406 "query.c"
					gint _tmp10_;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp10_ = i;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					i = _tmp10_ + 1;
#line 412 "query.c"
				}
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp9_ = FALSE;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp13_ = str_array;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp13__length1 = str_array_length1;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				if (_tmp13__length1 != -1) {
#line 422 "query.c"
					gint _tmp14_;
					gchar** _tmp15_;
					gint _tmp15__length1;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp14_ = i;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp15_ = str_array;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp15__length1 = str_array_length1;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp12_ = _tmp14_ < _tmp15__length1;
#line 434 "query.c"
				} else {
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp12_ = FALSE;
#line 438 "query.c"
				}
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				if (_tmp12_) {
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp11_ = TRUE;
#line 444 "query.c"
				} else {
					gboolean _tmp16_ = FALSE;
					gchar** _tmp17_;
					gint _tmp17__length1;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp17_ = str_array;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp17__length1 = str_array_length1;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					if (_tmp17__length1 == -1) {
#line 455 "query.c"
						gchar** _tmp18_;
						gint _tmp18__length1;
						gint _tmp19_;
						const gchar* _tmp20_;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
						_tmp18_ = str_array;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
						_tmp18__length1 = str_array_length1;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
						_tmp19_ = i;
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
						_tmp20_ = _tmp18_[_tmp19_];
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
						_tmp16_ = _tmp20_ != NULL;
#line 470 "query.c"
					} else {
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
						_tmp16_ = FALSE;
#line 474 "query.c"
					}
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp11_ = _tmp16_;
#line 478 "query.c"
				}
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				if (!_tmp11_) {
#line 1084 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					break;
#line 484 "query.c"
				}
#line 1085 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp22_ = str_array;
#line 1085 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp22__length1 = str_array_length1;
#line 1085 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp23_ = i;
#line 1085 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp24_ = _tmp22_[_tmp23_];
#line 1085 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				if (_tmp24_ != NULL) {
#line 496 "query.c"
					gchar** _tmp25_;
					gint _tmp25__length1;
					gint _tmp26_;
					const gchar* _tmp27_;
					gint _tmp28_;
					gint _tmp29_;
#line 1085 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp25_ = str_array;
#line 1085 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp25__length1 = str_array_length1;
#line 1085 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp26_ = i;
#line 1085 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp27_ = _tmp25_[_tmp26_];
#line 1085 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp28_ = strlen ((const gchar*) _tmp27_);
#line 1085 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp29_ = _tmp28_;
#line 1085 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp21_ = _tmp29_;
#line 517 "query.c"
				} else {
#line 1085 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp21_ = 0;
#line 521 "query.c"
				}
#line 1085 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp30_ = len;
#line 1085 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				len = _tmp30_ + _tmp21_;
#line 527 "query.c"
			}
		}
#line 1087 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp31_ = i;
#line 1087 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		if (_tmp31_ == 0) {
#line 534 "query.c"
			gchar* _tmp32_;
#line 1088 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			_tmp32_ = g_strdup ("");
#line 1088 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			result = _tmp32_;
#line 1088 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			return result;
#line 542 "query.c"
		}
#line 1090 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp33_ = i;
#line 1090 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		str_array_length1 = _tmp33_;
#line 1090 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp34_ = str_array_length1;
#line 1091 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp35_ = len;
#line 1091 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp36_ = separator;
#line 1091 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp37_ = strlen ((const gchar*) _tmp36_);
#line 1091 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp38_ = _tmp37_;
#line 1091 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp39_ = i;
#line 1091 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		len = _tmp35_ + (_tmp38_ * (_tmp39_ - 1));
#line 1093 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp40_ = len;
#line 1093 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp41_ = g_malloc (_tmp40_);
#line 1093 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		res = _tmp41_;
#line 1094 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp42_ = res;
#line 1094 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp43_ = str_array;
#line 1094 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp43__length1 = str_array_length1;
#line 1094 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp44_ = _tmp43_[0];
#line 1094 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp45_ = g_stpcpy ((void*) _tmp42_, (const gchar*) _tmp44_);
#line 1094 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		ptr = _tmp45_;
#line 580 "query.c"
		{
			gboolean _tmp46_ = FALSE;
#line 1095 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			i = 1;
#line 1095 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			_tmp46_ = TRUE;
#line 1095 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			while (TRUE) {
#line 589 "query.c"
				gint _tmp48_;
				gchar** _tmp49_;
				gint _tmp49__length1;
				void* _tmp50_;
				const gchar* _tmp51_;
				void* _tmp52_;
				const gchar* _tmp53_ = NULL;
				gchar** _tmp54_;
				gint _tmp54__length1;
				gint _tmp55_;
				const gchar* _tmp56_;
				void* _tmp60_;
				void* _tmp61_;
#line 1095 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				if (!_tmp46_) {
#line 605 "query.c"
					gint _tmp47_;
#line 1095 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp47_ = i;
#line 1095 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					i = _tmp47_ + 1;
#line 611 "query.c"
				}
#line 1095 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp46_ = FALSE;
#line 1095 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp48_ = i;
#line 1095 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp49_ = str_array;
#line 1095 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp49__length1 = str_array_length1;
#line 1095 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				if (!(_tmp48_ < _tmp49__length1)) {
#line 1095 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					break;
#line 625 "query.c"
				}
#line 1096 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp50_ = ptr;
#line 1096 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp51_ = separator;
#line 1096 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp52_ = g_stpcpy (_tmp50_, (const gchar*) _tmp51_);
#line 1096 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				ptr = _tmp52_;
#line 1097 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp54_ = str_array;
#line 1097 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp54__length1 = str_array_length1;
#line 1097 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp55_ = i;
#line 1097 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp56_ = _tmp54_[_tmp55_];
#line 1097 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				if (_tmp56_ != NULL) {
#line 645 "query.c"
					gchar** _tmp57_;
					gint _tmp57__length1;
					gint _tmp58_;
					const gchar* _tmp59_;
#line 1097 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp57_ = str_array;
#line 1097 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp57__length1 = str_array_length1;
#line 1097 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp58_ = i;
#line 1097 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp59_ = _tmp57_[_tmp58_];
#line 1097 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp53_ = (const gchar*) _tmp59_;
#line 660 "query.c"
				} else {
#line 1097 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
					_tmp53_ = "";
#line 664 "query.c"
				}
#line 1097 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp60_ = ptr;
#line 1097 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				_tmp61_ = g_stpcpy (_tmp60_, _tmp53_);
#line 1097 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
				ptr = _tmp61_;
#line 672 "query.c"
			}
		}
#line 1100 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp62_ = res;
#line 1100 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		res = NULL;
#line 1100 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		result = (gchar*) _tmp62_;
#line 1100 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return result;
#line 683 "query.c"
	} else {
		gchar* _tmp63_;
#line 1102 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp63_ = g_strdup ("");
#line 1102 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		result = _tmp63_;
#line 1102 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return result;
#line 692 "query.c"
	}
}


static void _vala_array_add7 (gchar** * array, int* length, int* size, gchar* value) {
#line 195 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	if ((*length) == (*size)) {
#line 195 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 195 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 704 "query.c"
	}
#line 195 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	(*array)[(*length)++] = value;
#line 195 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	(*array)[*length] = NULL;
#line 710 "query.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 220 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	return self ? g_object_ref (self) : NULL;
#line 717 "query.c"
}


static gint __lambda5_ (GeeMapEntry* a, GeeMapEntry* b) {
	gint result = 0;
	GeeMapEntry* e1 = NULL;
	GeeMapEntry* _tmp0_;
	GeeMapEntry* e2 = NULL;
	GeeMapEntry* _tmp1_;
	gconstpointer _tmp2_;
	gint _tmp3_;
	gconstpointer _tmp4_;
	gint _tmp5_;
#line 222 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	g_return_val_if_fail (a != NULL, 0);
#line 222 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	g_return_val_if_fail (b != NULL, 0);
#line 223 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp0_ = a;
#line 223 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	e1 = G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, GEE_MAP_TYPE_ENTRY, GeeMapEntry);
#line 224 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp1_ = b;
#line 224 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	e2 = G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, GEE_MAP_TYPE_ENTRY, GeeMapEntry);
#line 225 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp2_ = gee_map_entry_get_value (e2);
#line 225 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp3_ = _tmp2_;
#line 225 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp4_ = gee_map_entry_get_value (e1);
#line 225 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp5_ = _tmp4_;
#line 225 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	result = ((gint) ((gintptr) _tmp3_)) - ((gint) ((gintptr) _tmp5_));
#line 225 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	return result;
#line 755 "query.c"
}


static gint ___lambda5__gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self) {
	gint result;
	result = __lambda5_ ((GeeMapEntry*) a, (GeeMapEntry*) b);
#line 222 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	return result;
#line 764 "query.c"
}


GeeList* synapse_query_get_matchers_for_query (const gchar* query, SynapseMatcherFlags match_flags, GRegexCompileFlags flags) {
	GeeList* result = NULL;
	GeeHashMap* results = NULL;
	GeeHashMap* _tmp0_;
	GRegex* re = NULL;
	gchar** individual_words = NULL;
	const gchar* _tmp34_;
	gchar* _tmp35_;
	gchar* _tmp36_;
	gchar** _tmp37_;
	gchar** _tmp38_;
	gchar** _tmp39_;
	gint _tmp39__length1;
	gint individual_words_length1;
	gint _individual_words_size_;
	gchar** _tmp40_;
	gint _tmp40__length1;
	SynapseMatcherFlags _tmp97_;
	gchar** individual_chars = NULL;
	const gchar* _tmp109_;
	gchar** _tmp110_;
	gchar** _tmp111_;
	gint individual_chars_length1;
	gint _individual_chars_size_;
	gchar** escaped_chars = NULL;
	gchar** _tmp112_;
	gint escaped_chars_length1;
	gint _escaped_chars_size_;
	gchar** _tmp113_;
	gint _tmp113__length1;
	gboolean _tmp117_ = FALSE;
	gboolean _tmp118_ = FALSE;
	SynapseMatcherFlags _tmp119_;
	gboolean _tmp133_ = FALSE;
	SynapseMatcherFlags _tmp134_;
	GeeArrayList* sorted_results = NULL;
	GeeArrayList* _tmp147_;
	GeeSet* entries = NULL;
	GeeSet* _tmp148_;
	GeeSet* _tmp149_;
	GeeSet* _tmp150_;
	GError * _inner_error_ = NULL;
#line 111 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	g_return_val_if_fail (query != NULL, NULL);
#line 125 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp0_ = gee_hash_map_new (G_TYPE_REGEX, (GBoxedCopyFunc) g_regex_ref, (GDestroyNotify) g_regex_unref, G_TYPE_INT, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 125 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	results = _tmp0_;
#line 816 "query.c"
	{
		GRegex* _tmp1_ = NULL;
		const gchar* _tmp2_;
		gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		GRegexCompileFlags _tmp7_;
		GRegex* _tmp8_;
		GRegex* _tmp9_;
		GRegex* _tmp10_;
		GRegex* _tmp11_;
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp2_ = query;
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp3_ = g_regex_escape_string (_tmp2_, -1);
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp4_ = _tmp3_;
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp5_ = g_strdup_printf ("^(%s)$", _tmp4_);
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp6_ = _tmp5_;
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp7_ = flags;
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp8_ = g_regex_new (_tmp6_, _tmp7_, 0, &_inner_error_);
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp9_ = _tmp8_;
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_free0 (_tmp6_);
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_free0 (_tmp4_);
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp1_ = _tmp9_;
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 855 "query.c"
				goto __catch17_g_regex_error;
			}
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_regex_unref0 (re);
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_object_unref0 (results);
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_clear_error (&_inner_error_);
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			return NULL;
#line 868 "query.c"
		}
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp10_ = _tmp1_;
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp1_ = NULL;
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_regex_unref0 (re);
#line 129 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		re = _tmp10_;
#line 130 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp11_ = re;
#line 130 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		gee_abstract_map_set ((GeeAbstractMap*) results, _tmp11_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_HIGHEST)));
#line 128 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_regex_unref0 (_tmp1_);
#line 884 "query.c"
	}
	goto __finally17;
	__catch17_g_regex_error:
	{
		GError* err = NULL;
#line 128 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		err = _inner_error_;
#line 128 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_inner_error_ = NULL;
#line 128 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_error_free0 (err);
#line 896 "query.c"
	}
	__finally17:
#line 128 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 128 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_regex_unref0 (re);
#line 128 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_object_unref0 (results);
#line 128 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 128 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		g_clear_error (&_inner_error_);
#line 128 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		return NULL;
#line 911 "query.c"
	}
	{
		GRegex* _tmp12_ = NULL;
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		gchar* _tmp16_;
		gchar* _tmp17_;
		GRegexCompileFlags _tmp18_;
		GRegex* _tmp19_;
		GRegex* _tmp20_;
		GRegex* _tmp21_;
		GRegex* _tmp22_;
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp13_ = query;
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp14_ = g_regex_escape_string (_tmp13_, -1);
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp15_ = _tmp14_;
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp16_ = g_strdup_printf ("^(%s)", _tmp15_);
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp17_ = _tmp16_;
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp18_ = flags;
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp19_ = g_regex_new (_tmp17_, _tmp18_, 0, &_inner_error_);
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp20_ = _tmp19_;
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_free0 (_tmp17_);
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_free0 (_tmp15_);
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp12_ = _tmp20_;
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 951 "query.c"
				goto __catch18_g_regex_error;
			}
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_regex_unref0 (re);
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_object_unref0 (results);
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_clear_error (&_inner_error_);
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			return NULL;
#line 964 "query.c"
		}
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp21_ = _tmp12_;
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp12_ = NULL;
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_regex_unref0 (re);
#line 134 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		re = _tmp21_;
#line 135 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp22_ = re;
#line 135 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		gee_abstract_map_set ((GeeAbstractMap*) results, _tmp22_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_EXCELLENT)));
#line 133 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_regex_unref0 (_tmp12_);
#line 980 "query.c"
	}
	goto __finally18;
	__catch18_g_regex_error:
	{
		GError* err = NULL;
#line 133 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		err = _inner_error_;
#line 133 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_inner_error_ = NULL;
#line 133 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_error_free0 (err);
#line 992 "query.c"
	}
	__finally18:
#line 133 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 133 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_regex_unref0 (re);
#line 133 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_object_unref0 (results);
#line 133 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 133 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		g_clear_error (&_inner_error_);
#line 133 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		return NULL;
#line 1007 "query.c"
	}
	{
		GRegex* _tmp23_ = NULL;
		const gchar* _tmp24_;
		gchar* _tmp25_;
		gchar* _tmp26_;
		gchar* _tmp27_;
		gchar* _tmp28_;
		GRegexCompileFlags _tmp29_;
		GRegex* _tmp30_;
		GRegex* _tmp31_;
		GRegex* _tmp32_;
		GRegex* _tmp33_;
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp24_ = query;
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp25_ = g_regex_escape_string (_tmp24_, -1);
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp26_ = _tmp25_;
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp27_ = g_strdup_printf ("\\b(%s)", _tmp26_);
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp28_ = _tmp27_;
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp29_ = flags;
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp30_ = g_regex_new (_tmp28_, _tmp29_, 0, &_inner_error_);
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp31_ = _tmp30_;
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_free0 (_tmp28_);
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_free0 (_tmp26_);
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp23_ = _tmp31_;
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1047 "query.c"
				goto __catch19_g_regex_error;
			}
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_regex_unref0 (re);
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_object_unref0 (results);
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_clear_error (&_inner_error_);
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			return NULL;
#line 1060 "query.c"
		}
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp32_ = _tmp23_;
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp23_ = NULL;
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_regex_unref0 (re);
#line 139 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		re = _tmp32_;
#line 140 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp33_ = re;
#line 140 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		gee_abstract_map_set ((GeeAbstractMap*) results, _tmp33_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_VERY_GOOD)));
#line 138 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_regex_unref0 (_tmp23_);
#line 1076 "query.c"
	}
	goto __finally19;
	__catch19_g_regex_error:
	{
		GError* err = NULL;
#line 138 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		err = _inner_error_;
#line 138 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_inner_error_ = NULL;
#line 138 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_error_free0 (err);
#line 1088 "query.c"
	}
	__finally19:
#line 138 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 138 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_regex_unref0 (re);
#line 138 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_object_unref0 (results);
#line 138 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 138 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		g_clear_error (&_inner_error_);
#line 138 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		return NULL;
#line 1103 "query.c"
	}
#line 144 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp34_ = query;
#line 144 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp35_ = string_strip (_tmp34_);
#line 144 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp36_ = _tmp35_;
#line 144 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp38_ = _tmp37_ = g_regex_split_simple ("\\s+", _tmp36_, 0, 0);
#line 144 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp39_ = _tmp38_;
#line 144 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp39__length1 = _vala_array_length (_tmp37_);
#line 144 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_g_free0 (_tmp36_);
#line 144 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	individual_words = _tmp39_;
#line 144 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	individual_words_length1 = _tmp39__length1;
#line 144 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_individual_words_size_ = individual_words_length1;
#line 145 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp40_ = individual_words;
#line 145 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp40__length1 = individual_words_length1;
#line 145 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	if (_tmp40__length1 >= 2) {
#line 1131 "query.c"
		gchar** escaped_words = NULL;
		gchar** _tmp41_;
		gint escaped_words_length1;
		gint _escaped_words_size_;
		gchar** _tmp42_;
		gint _tmp42__length1;
		gchar* pattern = NULL;
		gchar** _tmp46_;
		gint _tmp46__length1;
		gchar* _tmp47_;
		gchar* _tmp48_;
		gchar* _tmp49_;
		gchar* _tmp50_;
		SynapseMatcherFlags _tmp57_;
#line 146 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp41_ = g_new0 (gchar*, 0 + 1);
#line 146 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		escaped_words = _tmp41_;
#line 146 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		escaped_words_length1 = 0;
#line 146 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_escaped_words_size_ = escaped_words_length1;
#line 147 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp42_ = individual_words;
#line 147 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp42__length1 = individual_words_length1;
#line 1158 "query.c"
		{
			gchar** word_collection = NULL;
			gint word_collection_length1 = 0;
			gint _word_collection_size_ = 0;
			gint word_it = 0;
#line 147 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			word_collection = _tmp42_;
#line 147 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			word_collection_length1 = _tmp42__length1;
#line 147 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			for (word_it = 0; word_it < _tmp42__length1; word_it = word_it + 1) {
#line 1170 "query.c"
				const gchar* word = NULL;
#line 147 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				word = word_collection[word_it];
#line 1174 "query.c"
				{
					gchar** _tmp43_;
					gint _tmp43__length1;
					const gchar* _tmp44_;
					gchar* _tmp45_;
#line 148 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp43_ = escaped_words;
#line 148 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp43__length1 = escaped_words_length1;
#line 148 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp44_ = word;
#line 148 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp45_ = g_regex_escape_string (_tmp44_, -1);
#line 148 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_vala_array_add6 (&escaped_words, &escaped_words_length1, &_escaped_words_size_, _tmp45_);
#line 1190 "query.c"
				}
			}
		}
#line 150 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp46_ = escaped_words;
#line 150 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp46__length1 = escaped_words_length1;
#line 150 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp47_ = _vala_g_strjoinv (").+\\b(", _tmp46_, _tmp46__length1);
#line 150 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp48_ = _tmp47_;
#line 150 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp49_ = g_strdup_printf ("\\b(%s)", _tmp48_);
#line 150 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp50_ = _tmp49_;
#line 150 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_free0 (_tmp48_);
#line 150 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		pattern = _tmp50_;
#line 1210 "query.c"
		{
			GRegex* _tmp51_ = NULL;
			const gchar* _tmp52_;
			GRegexCompileFlags _tmp53_;
			GRegex* _tmp54_;
			GRegex* _tmp55_;
			GRegex* _tmp56_;
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp52_ = pattern;
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp53_ = flags;
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp54_ = g_regex_new (_tmp52_, _tmp53_, 0, &_inner_error_);
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp51_ = _tmp54_;
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1230 "query.c"
					goto __catch20_g_regex_error;
				}
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_g_free0 (pattern);
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_g_regex_unref0 (re);
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_g_object_unref0 (results);
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				g_clear_error (&_inner_error_);
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				return NULL;
#line 1249 "query.c"
			}
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp55_ = _tmp51_;
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp51_ = NULL;
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_regex_unref0 (re);
#line 153 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			re = _tmp55_;
#line 154 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp56_ = re;
#line 154 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			gee_abstract_map_set ((GeeAbstractMap*) results, _tmp56_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_GOOD)));
#line 152 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_regex_unref0 (_tmp51_);
#line 1265 "query.c"
		}
		goto __finally20;
		__catch20_g_regex_error:
		{
			GError* err = NULL;
#line 152 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			err = _inner_error_;
#line 152 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_inner_error_ = NULL;
#line 152 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_error_free0 (err);
#line 1277 "query.c"
		}
		__finally20:
#line 152 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 152 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_free0 (pattern);
#line 152 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 152 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 152 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_regex_unref0 (re);
#line 152 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_object_unref0 (results);
#line 152 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 152 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_clear_error (&_inner_error_);
#line 152 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			return NULL;
#line 1298 "query.c"
		}
#line 158 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp57_ = match_flags;
#line 158 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		if (!((_tmp57_ & SYNAPSE_MATCHER_FLAGS_NO_REVERSED) == SYNAPSE_MATCHER_FLAGS_NO_REVERSED)) {
#line 1304 "query.c"
			gchar** _tmp58_;
			gint _tmp58__length1;
#line 159 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp58_ = escaped_words;
#line 159 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp58__length1 = escaped_words_length1;
#line 159 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			if (_tmp58__length1 == 2) {
#line 1313 "query.c"
				gchar* reversed = NULL;
				gchar** _tmp59_;
				gint _tmp59__length1;
				const gchar* _tmp60_;
				gchar** _tmp61_;
				gint _tmp61__length1;
				const gchar* _tmp62_;
				gchar* _tmp63_;
				gchar* _tmp64_;
				gchar* _tmp65_;
				gchar* _tmp66_;
#line 160 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp59_ = escaped_words;
#line 160 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp59__length1 = escaped_words_length1;
#line 160 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp60_ = _tmp59_[1];
#line 160 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp61_ = escaped_words;
#line 160 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp61__length1 = escaped_words_length1;
#line 160 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp62_ = _tmp61_[0];
#line 160 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp63_ = g_strjoin (").+\\b(", _tmp60_, _tmp62_, NULL, NULL);
#line 160 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp64_ = _tmp63_;
#line 160 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp65_ = g_strdup_printf ("\\b(%s)", _tmp64_);
#line 160 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp66_ = _tmp65_;
#line 160 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_g_free0 (_tmp64_);
#line 160 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				reversed = _tmp66_;
#line 1349 "query.c"
				{
					GRegex* _tmp67_ = NULL;
					const gchar* _tmp68_;
					GRegexCompileFlags _tmp69_;
					GRegex* _tmp70_;
					GRegex* _tmp71_;
					GRegex* _tmp72_;
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp68_ = reversed;
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp69_ = flags;
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp70_ = g_regex_new (_tmp68_, _tmp69_, 0, &_inner_error_);
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp67_ = _tmp70_;
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1369 "query.c"
							goto __catch21_g_regex_error;
						}
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						_g_free0 (reversed);
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						_g_free0 (pattern);
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						_g_regex_unref0 (re);
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						_g_object_unref0 (results);
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						g_clear_error (&_inner_error_);
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						return NULL;
#line 1390 "query.c"
					}
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp71_ = _tmp67_;
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp67_ = NULL;
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_g_regex_unref0 (re);
#line 162 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					re = _tmp71_;
#line 163 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp72_ = re;
#line 163 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					gee_abstract_map_set ((GeeAbstractMap*) results, _tmp72_, (gpointer) ((gintptr) ((gint) (SYNAPSE_MATCH_SCORE_GOOD - SYNAPSE_MATCH_SCORE_INCREMENT_MINOR))));
#line 161 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_g_regex_unref0 (_tmp67_);
#line 1406 "query.c"
				}
				goto __finally21;
				__catch21_g_regex_error:
				{
					GError* err = NULL;
#line 161 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					err = _inner_error_;
#line 161 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_inner_error_ = NULL;
#line 161 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_g_error_free0 (err);
#line 1418 "query.c"
				}
				__finally21:
#line 161 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 161 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_g_free0 (reversed);
#line 161 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_g_free0 (pattern);
#line 161 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 161 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 161 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_g_regex_unref0 (re);
#line 161 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_g_object_unref0 (results);
#line 161 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 161 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					g_clear_error (&_inner_error_);
#line 161 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					return NULL;
#line 1441 "query.c"
				}
#line 159 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_g_free0 (reversed);
#line 1445 "query.c"
			} else {
				gchar* orred = NULL;
				gchar** _tmp73_;
				gint _tmp73__length1;
				gchar* _tmp74_;
				gchar* _tmp75_;
				gchar* _tmp76_;
				gchar* _tmp77_;
				gchar* any_order = NULL;
				gchar* _tmp78_;
#line 167 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp73_ = escaped_words;
#line 167 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp73__length1 = escaped_words_length1;
#line 167 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp74_ = _vala_g_strjoinv (")|(?:", _tmp73_, _tmp73__length1);
#line 167 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp75_ = _tmp74_;
#line 167 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp76_ = g_strdup_printf ("\\b((?:%s))", _tmp75_);
#line 167 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp77_ = _tmp76_;
#line 167 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_g_free0 (_tmp75_);
#line 167 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				orred = _tmp77_;
#line 168 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp78_ = g_strdup ("");
#line 168 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				any_order = _tmp78_;
#line 1476 "query.c"
				{
					gint i = 0;
#line 169 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					i = 0;
#line 1481 "query.c"
					{
						gboolean _tmp79_ = FALSE;
#line 169 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						_tmp79_ = TRUE;
#line 169 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						while (TRUE) {
#line 1488 "query.c"
							gint _tmp81_;
							gchar** _tmp82_;
							gint _tmp82__length1;
							gboolean is_last = FALSE;
							gint _tmp83_;
							gchar** _tmp84_;
							gint _tmp84__length1;
							const gchar* _tmp85_;
							const gchar* _tmp86_;
							gchar* _tmp87_;
							gboolean _tmp88_;
#line 169 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							if (!_tmp79_) {
#line 1502 "query.c"
								gint _tmp80_;
#line 169 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
								_tmp80_ = i;
#line 169 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
								i = _tmp80_ + 1;
#line 1508 "query.c"
							}
#line 169 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							_tmp79_ = FALSE;
#line 169 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							_tmp81_ = i;
#line 169 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							_tmp82_ = escaped_words;
#line 169 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							_tmp82__length1 = escaped_words_length1;
#line 169 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							if (!(_tmp81_ < _tmp82__length1)) {
#line 169 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
								break;
#line 1522 "query.c"
							}
#line 170 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							_tmp83_ = i;
#line 170 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							_tmp84_ = escaped_words;
#line 170 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							_tmp84__length1 = escaped_words_length1;
#line 170 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							is_last = _tmp83_ == (_tmp84__length1 - 1);
#line 171 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							_tmp85_ = any_order;
#line 171 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							_tmp86_ = orred;
#line 171 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							_tmp87_ = g_strconcat (_tmp85_, _tmp86_, NULL);
#line 171 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							_g_free0 (any_order);
#line 171 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							any_order = _tmp87_;
#line 172 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							_tmp88_ = is_last;
#line 172 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
							if (!_tmp88_) {
#line 1546 "query.c"
								const gchar* _tmp89_;
								gchar* _tmp90_;
#line 173 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
								_tmp89_ = any_order;
#line 173 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
								_tmp90_ = g_strconcat (_tmp89_, ".+", NULL);
#line 173 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
								_g_free0 (any_order);
#line 173 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
								any_order = _tmp90_;
#line 1557 "query.c"
							}
						}
					}
				}
				{
					GRegex* _tmp91_ = NULL;
					const gchar* _tmp92_;
					GRegexCompileFlags _tmp93_;
					GRegex* _tmp94_;
					GRegex* _tmp95_;
					GRegex* _tmp96_;
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp92_ = any_order;
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp93_ = flags;
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp94_ = g_regex_new (_tmp92_, _tmp93_, 0, &_inner_error_);
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp91_ = _tmp94_;
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1581 "query.c"
							goto __catch22_g_regex_error;
						}
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						_g_free0 (any_order);
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						_g_free0 (orred);
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						_g_free0 (pattern);
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						_g_regex_unref0 (re);
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						_g_object_unref0 (results);
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						g_clear_error (&_inner_error_);
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
						return NULL;
#line 1604 "query.c"
					}
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp95_ = _tmp91_;
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp91_ = NULL;
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_g_regex_unref0 (re);
#line 177 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					re = _tmp95_;
#line 178 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_tmp96_ = re;
#line 178 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					gee_abstract_map_set ((GeeAbstractMap*) results, _tmp96_, (gpointer) ((gintptr) ((gint) (SYNAPSE_MATCH_SCORE_AVERAGE + SYNAPSE_MATCH_SCORE_INCREMENT_MINOR))));
#line 176 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_g_regex_unref0 (_tmp91_);
#line 1620 "query.c"
				}
				goto __finally22;
				__catch22_g_regex_error:
				{
					GError* err = NULL;
#line 176 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					err = _inner_error_;
#line 176 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_inner_error_ = NULL;
#line 176 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_g_error_free0 (err);
#line 1632 "query.c"
				}
				__finally22:
#line 176 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 176 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_g_free0 (any_order);
#line 176 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_g_free0 (orred);
#line 176 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_g_free0 (pattern);
#line 176 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 176 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 176 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_g_regex_unref0 (re);
#line 176 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					_g_object_unref0 (results);
#line 176 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 176 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					g_clear_error (&_inner_error_);
#line 176 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
					return NULL;
#line 1657 "query.c"
				}
#line 159 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_g_free0 (any_order);
#line 159 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_g_free0 (orred);
#line 1663 "query.c"
			}
		}
#line 145 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_free0 (pattern);
#line 145 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		escaped_words = (_vala_array_free (escaped_words, escaped_words_length1, (GDestroyNotify) g_free), NULL);
#line 1670 "query.c"
	}
#line 184 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp97_ = match_flags;
#line 184 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	if (!((_tmp97_ & SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING) == SYNAPSE_MATCHER_FLAGS_NO_SUBSTRING)) {
#line 1676 "query.c"
		{
			GRegex* _tmp98_ = NULL;
			const gchar* _tmp99_;
			gchar* _tmp100_;
			gchar* _tmp101_;
			gchar* _tmp102_;
			gchar* _tmp103_;
			GRegexCompileFlags _tmp104_;
			GRegex* _tmp105_;
			GRegex* _tmp106_;
			GRegex* _tmp107_;
			GRegex* _tmp108_;
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp99_ = query;
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp100_ = g_regex_escape_string (_tmp99_, -1);
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp101_ = _tmp100_;
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp102_ = g_strdup_printf ("(%s)", _tmp101_);
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp103_ = _tmp102_;
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp104_ = flags;
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp105_ = g_regex_new (_tmp103_, _tmp104_, 0, &_inner_error_);
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp106_ = _tmp105_;
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_free0 (_tmp103_);
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_free0 (_tmp101_);
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp98_ = _tmp106_;
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1715 "query.c"
					goto __catch23_g_regex_error;
				}
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_g_regex_unref0 (re);
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_g_object_unref0 (results);
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				g_clear_error (&_inner_error_);
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				return NULL;
#line 1730 "query.c"
			}
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp107_ = _tmp98_;
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp98_ = NULL;
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_regex_unref0 (re);
#line 186 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			re = _tmp107_;
#line 187 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp108_ = re;
#line 187 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			gee_abstract_map_set ((GeeAbstractMap*) results, _tmp108_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_BELOW_AVERAGE)));
#line 185 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_regex_unref0 (_tmp98_);
#line 1746 "query.c"
		}
		goto __finally23;
		__catch23_g_regex_error:
		{
			GError* err = NULL;
#line 185 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			err = _inner_error_;
#line 185 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_inner_error_ = NULL;
#line 185 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_error_free0 (err);
#line 1758 "query.c"
		}
		__finally23:
#line 185 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 185 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 185 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_regex_unref0 (re);
#line 185 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_object_unref0 (results);
#line 185 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 185 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_clear_error (&_inner_error_);
#line 185 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			return NULL;
#line 1775 "query.c"
		}
	}
#line 192 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp109_ = query;
#line 192 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp111_ = _tmp110_ = g_regex_split_simple ("\\s*", _tmp109_, 0, 0);
#line 192 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	individual_chars = _tmp111_;
#line 192 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	individual_chars_length1 = _vala_array_length (_tmp110_);
#line 192 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_individual_chars_size_ = individual_chars_length1;
#line 193 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp112_ = g_new0 (gchar*, 0 + 1);
#line 193 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	escaped_chars = _tmp112_;
#line 193 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	escaped_chars_length1 = 0;
#line 193 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_escaped_chars_size_ = escaped_chars_length1;
#line 194 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp113_ = individual_chars;
#line 194 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp113__length1 = individual_chars_length1;
#line 1800 "query.c"
	{
		gchar** word_collection = NULL;
		gint word_collection_length1 = 0;
		gint _word_collection_size_ = 0;
		gint word_it = 0;
#line 194 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		word_collection = _tmp113_;
#line 194 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		word_collection_length1 = _tmp113__length1;
#line 194 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		for (word_it = 0; word_it < _tmp113__length1; word_it = word_it + 1) {
#line 1812 "query.c"
			const gchar* word = NULL;
#line 194 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			word = word_collection[word_it];
#line 1816 "query.c"
			{
				gchar** _tmp114_;
				gint _tmp114__length1;
				const gchar* _tmp115_;
				gchar* _tmp116_;
#line 195 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp114_ = escaped_chars;
#line 195 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp114__length1 = escaped_chars_length1;
#line 195 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp115_ = word;
#line 195 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_tmp116_ = g_regex_escape_string (_tmp115_, -1);
#line 195 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_vala_array_add7 (&escaped_chars, &escaped_chars_length1, &_escaped_chars_size_, _tmp116_);
#line 1832 "query.c"
			}
		}
	}
#line 199 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp119_ = match_flags;
#line 199 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	if (!((_tmp119_ & SYNAPSE_MATCHER_FLAGS_NO_PARTIAL) == SYNAPSE_MATCHER_FLAGS_NO_PARTIAL)) {
#line 1840 "query.c"
		gchar** _tmp120_;
		gint _tmp120__length1;
#line 199 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp120_ = individual_words;
#line 199 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp120__length1 = individual_words_length1;
#line 199 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp118_ = _tmp120__length1 == 1;
#line 1849 "query.c"
	} else {
#line 199 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp118_ = FALSE;
#line 1853 "query.c"
	}
#line 199 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	if (_tmp118_) {
#line 1857 "query.c"
		gchar** _tmp121_;
		gint _tmp121__length1;
#line 199 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp121_ = individual_chars;
#line 199 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp121__length1 = individual_chars_length1;
#line 199 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp117_ = _tmp121__length1 <= 5;
#line 1866 "query.c"
	} else {
#line 199 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp117_ = FALSE;
#line 1870 "query.c"
	}
#line 199 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	if (_tmp117_) {
#line 1874 "query.c"
		gchar* pattern = NULL;
		gchar** _tmp122_;
		gint _tmp122__length1;
		gchar* _tmp123_;
		gchar* _tmp124_;
		gchar* _tmp125_;
		gchar* _tmp126_;
#line 200 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp122_ = escaped_chars;
#line 200 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp122__length1 = escaped_chars_length1;
#line 200 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp123_ = _vala_g_strjoinv (").+\\b(", _tmp122_, _tmp122__length1);
#line 200 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp124_ = _tmp123_;
#line 200 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp125_ = g_strdup_printf ("\\b(%s)", _tmp124_);
#line 200 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp126_ = _tmp125_;
#line 200 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_free0 (_tmp124_);
#line 200 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		pattern = _tmp126_;
#line 1898 "query.c"
		{
			GRegex* _tmp127_ = NULL;
			const gchar* _tmp128_;
			GRegexCompileFlags _tmp129_;
			GRegex* _tmp130_;
			GRegex* _tmp131_;
			GRegex* _tmp132_;
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp128_ = pattern;
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp129_ = flags;
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp130_ = g_regex_new (_tmp128_, _tmp129_, 0, &_inner_error_);
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp127_ = _tmp130_;
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1918 "query.c"
					goto __catch24_g_regex_error;
				}
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_g_free0 (pattern);
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_g_regex_unref0 (re);
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_g_object_unref0 (results);
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				g_clear_error (&_inner_error_);
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				return NULL;
#line 1939 "query.c"
			}
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp131_ = _tmp127_;
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp127_ = NULL;
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_regex_unref0 (re);
#line 203 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			re = _tmp131_;
#line 204 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp132_ = re;
#line 204 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			gee_abstract_map_set ((GeeAbstractMap*) results, _tmp132_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_ABOVE_AVERAGE)));
#line 202 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_regex_unref0 (_tmp127_);
#line 1955 "query.c"
		}
		goto __finally24;
		__catch24_g_regex_error:
		{
			GError* err = NULL;
#line 202 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			err = _inner_error_;
#line 202 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_inner_error_ = NULL;
#line 202 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_error_free0 (err);
#line 1967 "query.c"
		}
		__finally24:
#line 202 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 202 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_free0 (pattern);
#line 202 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 202 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 202 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 202 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_regex_unref0 (re);
#line 202 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_object_unref0 (results);
#line 202 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 202 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_clear_error (&_inner_error_);
#line 202 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			return NULL;
#line 1990 "query.c"
		}
#line 199 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_free0 (pattern);
#line 1994 "query.c"
	}
#line 208 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp134_ = match_flags;
#line 208 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	if (!((_tmp134_ & SYNAPSE_MATCHER_FLAGS_NO_FUZZY) == SYNAPSE_MATCHER_FLAGS_NO_FUZZY)) {
#line 2000 "query.c"
		gchar** _tmp135_;
		gint _tmp135__length1;
#line 208 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp135_ = escaped_chars;
#line 208 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp135__length1 = escaped_chars_length1;
#line 208 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp133_ = _tmp135__length1 > 0;
#line 2009 "query.c"
	} else {
#line 208 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp133_ = FALSE;
#line 2013 "query.c"
	}
#line 208 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	if (_tmp133_) {
#line 2017 "query.c"
		gchar* pattern = NULL;
		gchar** _tmp136_;
		gint _tmp136__length1;
		gchar* _tmp137_;
		gchar* _tmp138_;
		gchar* _tmp139_;
		gchar* _tmp140_;
#line 209 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp136_ = escaped_chars;
#line 209 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp136__length1 = escaped_chars_length1;
#line 209 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp137_ = _vala_g_strjoinv (").*(", _tmp136_, _tmp136__length1);
#line 209 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp138_ = _tmp137_;
#line 209 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp139_ = g_strdup_printf ("\\b(%s)", _tmp138_);
#line 209 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_tmp140_ = _tmp139_;
#line 209 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_free0 (_tmp138_);
#line 209 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		pattern = _tmp140_;
#line 2041 "query.c"
		{
			GRegex* _tmp141_ = NULL;
			const gchar* _tmp142_;
			GRegexCompileFlags _tmp143_;
			GRegex* _tmp144_;
			GRegex* _tmp145_;
			GRegex* _tmp146_;
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp142_ = pattern;
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp143_ = flags;
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp144_ = g_regex_new (_tmp142_, _tmp143_, 0, &_inner_error_);
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp141_ = _tmp144_;
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2061 "query.c"
					goto __catch25_g_regex_error;
				}
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_g_free0 (pattern);
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_g_regex_unref0 (re);
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				_g_object_unref0 (results);
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				g_clear_error (&_inner_error_);
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
				return NULL;
#line 2082 "query.c"
			}
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp145_ = _tmp141_;
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp141_ = NULL;
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_regex_unref0 (re);
#line 212 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			re = _tmp145_;
#line 213 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_tmp146_ = re;
#line 213 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			gee_abstract_map_set ((GeeAbstractMap*) results, _tmp146_, (gpointer) ((gintptr) ((gint) SYNAPSE_MATCH_SCORE_POOR)));
#line 211 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_regex_unref0 (_tmp141_);
#line 2098 "query.c"
		}
		goto __finally25;
		__catch25_g_regex_error:
		{
			GError* err = NULL;
#line 211 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			err = _inner_error_;
#line 211 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_inner_error_ = NULL;
#line 211 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_error_free0 (err);
#line 2110 "query.c"
		}
		__finally25:
#line 211 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 211 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_free0 (pattern);
#line 211 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 211 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 211 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 211 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_regex_unref0 (re);
#line 211 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			_g_object_unref0 (results);
#line 211 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 211 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			g_clear_error (&_inner_error_);
#line 211 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
			return NULL;
#line 2133 "query.c"
		}
#line 208 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
		_g_free0 (pattern);
#line 2137 "query.c"
	}
#line 217 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp147_ = gee_array_list_new (GEE_MAP_TYPE_ENTRY, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 217 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	sorted_results = _tmp147_;
#line 218 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp148_ = gee_abstract_map_get_entries ((GeeAbstractMap*) results);
#line 218 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp149_ = _tmp148_;
#line 218 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	entries = _tmp149_;
#line 220 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp150_ = _g_object_ref0 (entries);
#line 220 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	g_object_set_data_full ((GObject*) sorted_results, "entries-ref", _tmp150_, g_object_unref);
#line 221 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	gee_array_list_add_all (sorted_results, (GeeCollection*) entries);
#line 222 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	gee_list_sort ((GeeList*) sorted_results, ___lambda5__gcompare_data_func, NULL, NULL);
#line 228 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	result = (GeeList*) sorted_results;
#line 228 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_g_object_unref0 (entries);
#line 228 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	escaped_chars = (_vala_array_free (escaped_chars, escaped_chars_length1, (GDestroyNotify) g_free), NULL);
#line 228 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	individual_chars = (_vala_array_free (individual_chars, individual_chars_length1, (GDestroyNotify) g_free), NULL);
#line 228 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	individual_words = (_vala_array_free (individual_words, individual_words_length1, (GDestroyNotify) g_free), NULL);
#line 228 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_g_regex_unref0 (re);
#line 228 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_g_object_unref0 (results);
#line 228 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	return result;
#line 2173 "query.c"
}


void synapse_query_copy (const SynapseQuery* self, SynapseQuery* dest) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	GCancellable* _tmp4_;
	GCancellable* _tmp5_;
	SynapseQueryFlags _tmp6_;
	guint _tmp7_;
	guint _tmp8_;
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp0_ = (*self).query_string;
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_g_free0 ((*dest).query_string);
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	(*dest).query_string = _tmp1_;
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp2_ = (*self).query_string_folded;
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_g_free0 ((*dest).query_string_folded);
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	(*dest).query_string_folded = _tmp3_;
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp4_ = (*self).cancellable;
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_g_object_unref0 ((*dest).cancellable);
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	(*dest).cancellable = _tmp5_;
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp6_ = (*self).query_type;
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	(*dest).query_type = _tmp6_;
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp7_ = (*self).max_results;
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	(*dest).max_results = _tmp7_;
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_tmp8_ = (*self).query_id;
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	(*dest).query_id = _tmp8_;
#line 2223 "query.c"
}


void synapse_query_destroy (SynapseQuery* self) {
#line 86 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_g_free0 ((*self).query_string);
#line 87 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_g_free0 ((*self).query_string_folded);
#line 88 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	_g_object_unref0 ((*self).cancellable);
#line 2234 "query.c"
}


SynapseQuery* synapse_query_dup (const SynapseQuery* self) {
	SynapseQuery* dup;
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	dup = g_new0 (SynapseQuery, 1);
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	synapse_query_copy (self, dup);
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	return dup;
#line 2246 "query.c"
}


void synapse_query_free (SynapseQuery* self) {
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	synapse_query_destroy (self);
#line 85 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/query.vala"
	g_free (self);
#line 2255 "query.c"
}


GType synapse_query_get_type (void) {
	static volatile gsize synapse_query_type_id__volatile = 0;
	if (g_once_init_enter (&synapse_query_type_id__volatile)) {
		GType synapse_query_type_id;
		synapse_query_type_id = g_boxed_type_register_static ("SynapseQuery", (GBoxedCopyFunc) synapse_query_dup, (GBoxedFreeFunc) synapse_query_free);
		g_once_init_leave (&synapse_query_type_id__volatile, synapse_query_type_id);
	}
	return synapse_query_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
#line 284 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/data-sink.vala"
	if ((array != NULL) && (destroy_func != NULL)) {
#line 2273 "query.c"
		int i;
#line 284 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/data-sink.vala"
		for (i = 0; i < array_length; i = i + 1) {
#line 284 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/data-sink.vala"
			if (((gpointer*) array)[i] != NULL) {
#line 284 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/data-sink.vala"
				destroy_func (((gpointer*) array)[i]);
#line 2281 "query.c"
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
#line 284 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/data-sink.vala"
	_vala_array_destroy (array, array_length, destroy_func);
#line 284 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/data-sink.vala"
	g_free (array);
#line 2293 "query.c"
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
#line 284 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/data-sink.vala"
	if (array) {
#line 284 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/data-sink.vala"
		while (((gpointer*) array)[length]) {
#line 284 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/data-sink.vala"
			length++;
#line 2306 "query.c"
		}
	}
#line 284 "/builddir/build/BUILD/slingshot-launcher-2.1.3/lib/synapse-core/data-sink.vala"
	return length;
#line 2311 "query.c"
}



